---
id: subscription-getting-started
title: Subscription getting started
---

Describe how to set the subscription

## User access system

![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting+started/gs1.jpg)
![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting+started/gs2.jpg)

1. Go to [https://erxes.io/create](https://erxes.io/create)
2. Insert an **email address** and click on the Sign Up button.
3. On the next page, enter your **company name**, which becomes your **subdomain title**.
4. The next page is your erxes dashboard with the subdomain address as “**xxx.app.erxes.io**”
5. Meanwhile, open your email and follow the **email confirmation instructions**.
6. Back at your erxes dashboard click on **Get Started** of the erxes Bot (in the right bottom corner) to enter your **full name** and set your **username and password**. Click save.
7. Pick which setup to start first by choosing at least two features from the options and click Finish.
8. Follow the Bots instructions or go straight to the Help, Settings sections on the top left corner.

![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting+started/gs3.jpg)
![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting+started/gs4.jpg)

---

## Signing in

To sign in, navigate to the erxes sign-in page.
If you don't have account? Create a new one from [https://erxes.io](https://erxes.io/en/create).

### Email Address or Username Sign In

When enabled by your System Admin, you can sign in with the username or email address used to create your account.

![](https://s3-us-west-2.amazonaws.com/erxes-docs/sign-in-page.png)
![](https://s3-us-west-2.amazonaws.com/erxes-docs/reset-password.png)

1. Insert an **email address** or **username**
2. Insert **password**
3. Click **Sign in** button to sign in
4. If you have forgotten your password, you can reset it by clicking **Forgot password?**
5. Insert an **email address** that used to create your account.
6. By clicking **Email me the instruction**, we sent an email reset password link to your email address.

---

## Initial Setup

### Create Brand

![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting+started/gs5.jpg)

1. Insert your **Brand Name**
2. Click **Next** to confirm

### Invite your team member

![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting+started/gs6.jpg)

1. Insert your team members email address
2. Click **Save** to confirm
3. Click **Invite** to send invitation email

### Create Messenger

![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting+started/gs7.jpg)

1. Insert your **Messenger name**
2. Choose your **messenger language**
3. Choose your **Brand**
4. Click **Next** for confirmation

### Create Channel

![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting+started/gs8.jpg)

1. Insert your **Messenger name**
2. Choose your **messenger language**
3. Choose your **Brand**
4. Click **Next** to finish Initial Setup

---

## Save Your Account

- Click **“Save Your Account”** on the top right corner of the page
  To save your account click here.

![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting-started-9.png)
![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting-started-8.png)

1. Insert your **Full Name**
2. Insert your **Email Address**
3. Create your **Password**

Insert your Full Name
Insert your Email Address
Create your Password

---

## My Profile

### Create your profile

![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting-started-6.png)
![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting-started-5.png)

1. Click on the right top corner of the page
2. Select **View Profile**
3. **Create/Edit** your profile information

---

![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting-started-4.png)

1. Upload your **Profile Photo**
2. Insert your **Full Name**
3. Insert your **Username**
4. Insert your **Short Name**
5. Insert your **Position**
6. Insert your **Email Address**
7. Choose your **Location**
8. Insert your short bio **Description**
9. Link your **Social Accounts**
10. **Save** your profile information

By filling out your information accurately, it will appear on the widget section on the website

---

## Pricing

- General Settings -> **Organization Settings**

![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting-started-3.png)
![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting-started-2.png)
![](https://s3-us-west-2.amazonaws.com/erxes-docs/getting-started-1.png)

1. Choose your **Plan**
2. Choose your **Team size**
3. **Total Payment & Expiry Date**
4. Click **Pay Now**
5. Double check your **Total Amount**
6. Click **Purchase**
7. Insert **Cardholder’s information**
8. Click **Pay**

---

## Sign out

![](https://s3-us-west-2.amazonaws.com/erxes-docs/log-out.png) />

1. You can sign out from the Main Menu, which is accessed by clicking the **profile image** in the top header on the right side of the screen.
2. Clicking **Sign out** logs you out of all teams on the server.
