import colors from 'modules/common/styles/colors';

export const TUTORIALS = [
  {
    title: 'Default stage',
    key: 'defaultStage',
    image: '/images/actions/23.svg',
    color: colors.colorCoreYellow,
    description: {
      step: '6 steps',
      duration: 'About 5 minutes'
    },
    videos: [
      {
        name: 'Profile settings',
        url: 'https://www.youtube-nocookie.com/embed/sDzPEEBSp44'
      },
      {
        name: 'Organization settings',
        url: 'https://www.youtube-nocookie.com/embed/wzOyqmoxhmo'
      },
      {
        name: 'System configuration',
        url: 'https://www.youtube-nocookie.com/embed/PDP9Jd7BCZs'
      },
      {
        name: 'Signature',
        url: 'https://www.youtube-nocookie.com/embed/Eg9D4r38aso'
      },
      {
        name: 'Notification',
        url: 'https://www.youtube-nocookie.com/embed/rK-lAt9bXtY'
      },
      {
        name: 'Logs',
        url: 'https://www.youtube-nocookie.com/embed/AHOtbefxwaw'
      }
    ]
  },
  {
    title: 'Setting up stage',
    key: 'settingStage',
    image: '/images/actions/21.svg',
    color: colors.colorCoreTeal,
    description: {
      step: '19 steps',
      duration: 'About 19 minutes'
    },
    videos: [
      {
        name: 'Brands',
        url: 'https://www.youtube-nocookie.com/embed/ri17N4J478E'
      },
      {
        name: 'Channels',
        url: 'https://www.youtube-nocookie.com/embed/OLGy8_0pNEE'
      },
      {
        name: 'App store',
        url: 'https://www.youtube-nocookie.com/embed/ZHdwkZSnkxU'
      },
      {
        name: 'Sales pipeline stage + Product service',
        url: 'https://www.youtube-nocookie.com/embed/QAMP5AOxnlI'
      },
      {
        name: 'Campaign & Projects',
        url: 'https://www.youtube-nocookie.com/embed/vhqnzeGZCTI'
      },
      {
        name: 'Growth hacking template',
        url: 'https://www.youtube-nocookie.com/embed/d-_ne4gwKGw'
      },
      {
        name: 'Task stage',
        url: 'https://www.youtube-nocookie.com/embed/HAmu8vEgpLQ'
      },
      {
        name: 'Tickets stage',
        url: 'https://www.youtube-nocookie.com/embed/-ftlUWsLDWc'
      },
      {
        name: 'Tags - inbox, customer, engage pop, up',
        url: 'https://www.youtube-nocookie.com/embed/5tGbsUsUiJ4'
      },
      {
        name: 'Segments - customer',
        url: 'https://www.youtube-nocookie.com/embed/uUe98rmz89c'
      },
      {
        name: 'Permission - user group',
        url: 'https://www.youtube-nocookie.com/embed/C2Gn27Hccgo'
      },
      {
        name: 'Team members - invite',
        url: 'https://www.youtube-nocookie.com/embed/8hLIRZCJbwU'
      },
      {
        name: 'Response template ',
        url: 'https://www.youtube-nocookie.com/embed/olfky0vuHmU'
      },
      {
        name: 'Email template ',
        url: 'https://www.youtube-nocookie.com/embed/dsmQl2mhT1Y'
      },
      {
        name: 'Properties',
        url: 'https://www.youtube-nocookie.com/embed/eQ760ELiR8Q'
      },
      {
        name: 'Import/export - data',
        url: 'https://www.youtube-nocookie.com/embed/llQfH8yGwh8'
      },
      {
        name: 'Script Manager',
        url: 'https://www.youtube-nocookie.com/embed/Ky0IQ5UJ5xo'
      }
    ]
  },
  {
    title: 'Using stage',
    key: 'usingStage',
    image: '/images/actions/35.svg',
    color: colors.colorCoreBlue,
    description: {
      step: '8 steps',
      duration: 'About 20 minutes'
    },
    videos: [
      {
        name: 'Team inbox',
        key: 'teamInbox',
        url: 'https://www.youtube-nocookie.com/embed/eVcqpG0zsiY'
      },
      {
        name: 'Growth Hacking',
        url: 'https://www.youtube-nocookie.com/embed/lpOTx6t4JFA'
      },
      {
        name: 'Sales',
        url: 'https://www.youtube-nocookie.com/embed/yqc9l_1-qFA'
      },
      {
        name: 'Contacts',
        url: 'https://www.youtube-nocookie.com/embed/S-dLvUPiaQI'
      },
      {
        name: 'Leads',
        url: 'https://www.youtube-nocookie.com/embed/7lz3mIbfIS4'
      },
      {
        name: 'Engage',
        url: 'https://www.youtube-nocookie.com/embed/06MmTqGkB3Y'
      },
      {
        name: 'Knowledge Base',
        url: 'https://www.youtube-nocookie.com/embed/r0s1aOUa0_c'
      },
      {
        name: 'Task',
        url: 'https://www.youtube-nocookie.com/embed/4rbO5I_Ezq0'
      }
    ]
  }
];
